Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 137818 - Input close (UI representation) does not work
Input close (UI representation) does not work
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Output Window
6.x
All All
: P3 (vote)
: 6.x
Assigned To: t_h
issues@platform
:
Depends on:
Blocks: 135670
  Show dependency treegraph
 
Reported: 2008-06-20 12:47 UTC by Petr Hejl
Modified: 2009-08-08 07:03 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Hejl 2008-06-20 12:47:24 UTC
This happens when IO is reused:
1) output does not contain any line from previous operation
2) out, err and in are closed
3) tab name is still presented in bold as if it would be still active

Seems that problem is in this part of OutWriter:
    public synchronized boolean isClosed() {
        if (checkError() || storage == null || storage.isClosed()) {
            return true;
        } else {
            return closed;
        }
    }

storage.isClosed() probably return false only if there is some output written - consequence of this is no closed event
emitted if there were no lines printed to the pane.
Comment 1 t_h 2009-08-07 09:49:34 UTC
core-main #305705331868
Comment 2 Quality Engineering 2009-08-08 07:03:00 UTC
Integrated into 'main-golden', will be available in build *200908080201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/305705331868
User: Tomas Holy <t_h@netbeans.org>
Log: #137818: Input close (UI representation) does not work


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo